visualiseQualityParameters {arrayMagic} | R Documentation

## Graphical representation of quality parameters

### Description

Graphical representation of quality parameters

### Usage

    visualiseQualityParameters(qualityParameters, savePath, fileName="visualiseQualityParametersOutput.pdf", width=25, height=25, plotOutput="pdf")

### Arguments

`qualityParameters` | `data.frame`; required; contained in the return value of `qualityParameters`
`fileName` | character string; required; default: "visualiseQualityParametersOutput.pdf"
`savePath` | character string; optional; default: missing
`width` | graphics window width
`height` | graphics window height
`plotOutput` | character string; required; either "screen", "pdf" or "win.metafile"; default: "pdf"

### Details

For details on the specific parameters see `qualityParameters`. Lines are only used for easier detection of outliers. The ordering of the hybridisation is somehow arbitrary, and only reflects the (initial) ordering. The "correlation" line for example graphically represents the correlation coefficients calculated between the green and red channel for each hybridisation. The horizontal blue line is drawn at the height of one. The function `qualityDiagnostics` calls `visualiseQualityParameters`.

### Value

A graphical representation of quality parameters. `qualityDiagnostics` does call `visualiseQualityParameters`

### Author(s)

Andreas Buness <a.buness@dkfz.de>

### See Also

`qualityParameters`; `qualityDiagnostics`

### Examples

[Package Contents]